Loading...
Searching...
No Matches
fru_product_t Struct Reference
Information areas » Product area

The exploded representation of product info area. More...

`#include <fru.h>`

Collaboration diagram for fru_product_t:
[legend]

## Data Fields

fru_lang_t | lang
fru_field_t | mfg
| Product manufacturer.
fru_field_t | pname
| Product name.
fru_field_t | pn
| Product part number.
fru_field_t | ver
| Product version.
fru_field_t | serial
| Product serial number.
fru_field_t | atag
| Product asset tag.
fru_field_t | file
| FRU File ID.
fru_custom_t | cust
| List of custom fields.

## Detailed Description

The exploded representation of product info area.

Contains fields as per IPMI FRU Specification Table 12-1, in their decoded state

## Field Documentation

## atag

fru_field_t fru_product_t::atag

Product asset tag.

## cust

fru_custom_t fru_product_t::cust

List of custom fields.

## file

fru_field_t fru_product_t::file

FRU File ID.

## lang

fru_lang_t fru_product_t::lang

## mfg

fru_field_t fru_product_t::mfg

Product manufacturer.

## pn

fru_field_t fru_product_t::pn

Product part number.

## pname

fru_field_t fru_product_t::pname

Product name.

## serial

fru_field_t fru_product_t::serial

Product serial number.

## ver

fru_field_t fru_product_t::ver

Product version.

The documentation for this struct was generated from the following file:

- fru.h